Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::TaggedComponentList_var Class Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| TaggedComponentList_var (void)
| TaggedComponentList_var (TaggedComponentList *)
| TaggedComponentList_var (const TaggedComponentList_var &)
| ~TaggedComponentList_var (void)
TaggedComponentList_var & | operator= (TaggedComponentList *)
TaggedComponentList_var & | operator= (const TaggedComponentList_var &)
TaggedComponentList * | operator-> (void)
const TaggedComponentList * | operator-> (void) const
| operator const TaggedComponentList & () const
| operator TaggedComponentList & ()
| operator TaggedComponentList & () const
| operator TaggedComponentList *& ()
TaggedComponent & | operator[] (CORBA::ULong index)
const TaggedComponent & | operator[] (CORBA::ULong index) const
const TaggedComponentList & | in (void) const
TaggedComponentList & | inout (void)
TaggedComponentList *& | out (void)
TaggedComponentList * | _retn (void)
TaggedComponentList * | ptr (void) const
## Private Attributes
TaggedComponentList * | ptr_

## Constructor & Destructor Documentation

IOP::TaggedComponentList_var::TaggedComponentList_var | ( | void |  | ) |

IOP::TaggedComponentList_var::TaggedComponentList_var | ( | TaggedComponentList * |  | ) |

IOP::TaggedComponentList_var::TaggedComponentList_var | ( | const TaggedComponentList_var & |  | ) |

IOP::TaggedComponentList_var::~TaggedComponentList_var | ( | void |  | ) |

## Member Function Documentation

TaggedComponentList* IOP::TaggedComponentList_var::_retn | ( | void |  | ) |

const TaggedComponentList& IOP::TaggedComponentList_var::in | ( | void |  | ) | const

TaggedComponentList& IOP::TaggedComponentList_var::inout | ( | void |  | ) |

IOP::TaggedComponentList_var::operator const TaggedComponentList & | ( |  | ) | const

IOP::TaggedComponentList_var::operator TaggedComponentList & | ( |  | ) | const

IOP::TaggedComponentList_var::operator TaggedComponentList & | ( |  | ) |

IOP::TaggedComponentList_var::operator TaggedComponentList *& | ( |  | ) |

const TaggedComponentList* IOP::TaggedComponentList_var::operator-> | ( | void |  | ) | const

TaggedComponentList* IOP::TaggedComponentList_var::operator-> | ( | void |  | ) |

TaggedComponentList_var& IOP::TaggedComponentList_var::operator= | ( | const TaggedComponentList_var & |  | ) |

TaggedComponentList_var& IOP::TaggedComponentList_var::operator= | ( | TaggedComponentList * |  | ) |

const TaggedComponent& IOP::TaggedComponentList_var::operator[] | ( | CORBA::ULong | index | ) | const

TaggedComponent& IOP::TaggedComponentList_var::operator[] | ( | CORBA::ULong | index | ) |

TaggedComponentList*& IOP::TaggedComponentList_var::out | ( | void |  | ) |

TaggedComponentList* IOP::TaggedComponentList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TaggedComponentList* IOP::TaggedComponentList_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h